package Cx

import data.generic.cloudformation as cf_lib

CxPolicy[result] {
	docs := input.document[i]
	[path, Resources] := walk(docs)
	resource := Resources[name]
	port := 3389

	check_security_groups_ingress(resource.Properties, port)

	result := {
		"documentId": input.document[i].id,
		"resourceType": resource.Type,
		"resourceName": cf_lib.get_resource_name(resource, name),
		"searchKey": sprintf("%s%s.Properties.SecurityGroupIngress", [cf_lib.getPath(path),name]),
		"issueType": "IncorrectValue",
		"keyExpectedValue": sprintf("None of the Resources.%s.Properties.SecurityGroupIngress should have port %d", [name, port]),
		"keyActualValue": sprintf("One of the Resources.%s.Properties.SecurityGroupIngress has port %d", [name, port]),
	}
}

check_security_groups_ingress(group, port) {
	some j
	group.SecurityGroupIngress[j].CidrIp == "0.0.0.0/0"
	group.SecurityGroupIngress[j].FromPort == port
}

check_security_groups_ingress(group, port) {
	some j
	group.SecurityGroupIngress[j].CidrIp == "0.0.0.0/0"
	group.SecurityGroupIngress[j].ToPort == port
}
